LEI-REDIFF(1)

NAME
lei-rediff - regenerate a diff with different options

SYNOPSIS
lei rediff [OPTIONS] LOCATION [LOCATION...]

lei rediff [OPTIONS] (--stdin|-)

DESCRIPTION
Read a message from "LOCATION" or stdin and regenerate its diff with the specified git-diff(1) options. This is useful if you want to change the display of the original patch (e.g., increasing context, coloring moved lines differently, or using an external diff viewer).

It relies on the contents of the .git directory of your current project working tree. In other words, it works anywhere git-am(1) works. Otherwise, "--git-dir=" may be specified any number of times to add repositories to build blob data from.

OPTIONS
In addition to many git-diff(1) options (e.g. "-W", "-w", "-U $LINES") the following options are supported:

--stdin
    Read message from stdin. This is implicit if no arguments are given and stdin is a pipe or regular file.

    For users of text editors and pagers capable of piping its buffer to arbitrary commands, it is useful to pipe a patch email to "lei rediff" before piping it to git-am(1). The output of "lei rediff" is compatible with "git am" if its input was a patch email.

--drq[=COUNT]
    De-Re-Quote. De-quotes the input and re-quotes (the output). Removes COUNT levels of "> " email reply prefixes and re-adds them upon regenerating the diff.

    This switch is intended as a convenience for running inside a pipe-capable text editor when writing replies to a patch email. Note: this may over-add "> " prefixes if some input lines are missing "> " prefixes.

    COUNT is 1 if unspecified; in other words, "--drq=1" and "--drq" are equivalent.

    It implies "--quiet" unless "--verbose" is specified since text editors tend to combine stderr with stdout.

--dequote-only[=COUNT]
    Like "--drq", but does not re-add quote prefixes to the output.

    This can be useful for feeding a hunk to git-apply(1) or patch(1) while writing a reply or further processing by another diff viewer.

    Unlike "--drq", it does NOT imply "--quiet".

--git-dir=DIR
    Specify an additional .git/ directory to scan. This option may be given multiple times.

    Default: the output of "git rev-parse --git-dir"

--no-cwd
    Do not look in the git repository of the current working directory.

-q
--quiet
    Suppress progress output.

-v
--verbose
    Provide more feedback on stderr.

The options below, described in lei-q(1), are also supported.

--[no-]remote
--no-local
--no-external
--no-import-remote
--torsocks=auto|no|yes, --no-torsocks
--proxy=PROTOCOL://HOST[:PORT]

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright 2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-q(1), lei-blob(1), lei-p2q(1)